#!/bin/sh

# Set up EPICS environment for development
export HOST_ARCH=linux-x86
export EPICS_HOST_ARCH=linux-x86
export EPICS=/opt/epics

# IOC and EDM communication config
export EPICS_CA_ADDR_LIST="localhost"
export EPICS_CA_SERVER_PORT=5064
export EPICS_CA_REPEATER_PORT=5065
export EPICS_CA_MAX_ARRAY_BYTES=1048576
export EPICS_TS_MIN_WEST=480

# EDM files
export EDMPVOBJECTS=${EPICS}/extensions/ext_pref/edm
export EDMOBJECTS=${EPICS}/extensions/ext_pref/edm
export EDMFILES=${EPICS}/extensions/ext_pref/edm
export EDMHELPFILES=${EPICS}/extensions/src/edm/helpFiles

export EPICS_LIB=${EPICS}/base/lib/${HOST_ARCH}:${EPICS}/extensions/lib/${HOST_ARCH}
if [ -z "$LD_LIBRARY_PATH" ]; then
  export LD_LIBRARY_PATH=${EPICS_LIB}
else
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${EPICS_LIB}
fi

PATH=${PATH}:${EPICS}/base/bin/${HOST_ARCH}:${EPICS}/extensions/bin/${HOST_ARCH}
