/*
 Hardware definitions, common between iGp12 and LLRF4:
   JTAG bits
   
 Board-dependent pieces, selected based on a define
   USB IDs
 
 Copyright (c) 2008-2012 Dimtel, Inc., All Rights Reserved

 $Id: hwdef.h,v 1.1 2012/11/11 01:24:32 dim Exp $
 $Date: 2012/11/11 01:24:32 $
 $Author: dim $
 $Revision: 1.1 $
 $Log: hwdef.h,v $
 Revision 1.1  2012/11/11 01:24:32  dim
 Moved from BxB, adapted to compile for both LLRF4 and IGP12


*/

#ifndef _HWDEF_H_
#define _HWDEF_H_

#define bmPORT_A_TCK 0x01	/* PA.0 - output */
#define bmPORT_A_TMS 0x02	/* PA.1 - output */
#define bmPORT_A_TDI 0x08	/* PA.3 - output */
#define bmPORT_A_TDO 0x80	/* PA.7 - input  */

/* Bit definitions */
__sbit __at (0x80 + 0) JTAG_TCK;
__sbit __at (0x80 + 1) JTAG_TMS;
__sbit __at (0x80 + 3) JTAG_TDI;
__sbit __at (0x80 + 7) JTAG_TDO;

#endif /* _HWDEF_H_ */
