/*
 Interrupt handling and vector setup. We only use USB interrupt in this
 code.
 
 Copyright (c) 2008 Dimtel, Inc., All Rights Reserved

 $Id: interrupts.h,v 1.2 2013/06/06 04:35:11 dim Exp $
 $Date: 2013/06/06 04:35:11 $
 $Author: dim $
 $Revision: 1.2 $
 $Log: interrupts.h,v $
 Revision 1.2  2013/06/06 04:35:11  dim
 Added EP8 OUT to interface 0 for fast JTAG block loading

 Revision 1.1  2012/11/11 01:24:32  dim
 Moved from BxB, adapted to compile for both LLRF4 and IGP12

 Revision 1.1  2011/12/27 19:31:46  dim
 Updated to remove deprecated constructs (at, sfr, xdata, sbit)

 Revision 1.1.1.1  2009/06/02 20:25:58  dim
 Initial import

*/

#ifndef _INTERRUPTS_H_
#define _INTERRUPTS_H_

#define USB_INTERRUPT	0x43
#define LJMP_OPC	0x02

#define VEC_SUDAV	0x00
#define VEC_RESET	0x10
#define VEC_HS		0x14
#define VEC_EP8		0x3c

void setup_interrupts(void);

#endif /* _INTERRUPTS_H_ */
