/*
 USB IDs and descriptor strings: selector
 
 Copyright (c) 2012 Dimtel, Inc., All Rights Reserved

 $Id: board_ids.h,v 1.1 2013/06/03 17:40:13 dim Exp $
 $Date: 2013/06/03 17:40:13 $
 $Author: dim $
 $Revision: 1.1 $
 $Log: board_ids.h,v $
 Revision 1.1  2013/06/03 17:40:13  dim
 Initial import in src_common/


*/

#ifndef _BOARD_IDS_H_
#define _BOARD_IDS_H_

#include "llrf41_usb.h"
#include "llrf46_usb.h"
#include "iGp12_usb.h"


#ifdef LLRF4
#define VENDID	LLRF4_VID
#define PRODID  LLRF4_PID
#define DEVID	LLRF4_DID

#define iManufacturer LLRF4_iManufacturer
#define iProduct      LLRF4_iProduct
#define iSerial       LLRF4_iSerial
#define iInter0Alt0HS LLRF4_iInter0Alt0HS
#define iInter0Alt1HS LLRF4_iInter0Alt1HS
#define iInter0Alt0FS LLRF4_iInter0Alt0FS
#define iInter0Alt1FS LLRF4_iInter0Alt1FS
#endif

#ifdef LLRF46
#define VENDID	LLRF46_VID
#define PRODID  LLRF46_PID
#define DEVID	LLRF46_DID

#define iManufacturer LLRF46_iManufacturer
#define iProduct      LLRF46_iProduct
#define iSerial       LLRF46_iSerial
#define iInter0Alt0HS LLRF46_iInter0Alt0HS
#define iInter0Alt1HS LLRF46_iInter0Alt1HS
#define iInter0Alt0FS LLRF46_iInter0Alt0FS
#define iInter0Alt1FS LLRF46_iInter0Alt1FS
#endif

#ifdef IGP12
#define VENDID	IGP12_VID
#define PRODID  IGP12_PID
#define DEVID	IGP12_DID

#define iManufacturer IGP12_iManufacturer
#define iProduct      IGP12_iProduct
#define iSerial       IGP12_iSerial
#define iInter0Alt0HS IGP12_iInter0Alt0HS
#define iInter0Alt1HS IGP12_iInter0Alt1HS
#define iInter0Alt0FS IGP12_iInter0Alt0FS
#define iInter0Alt1FS IGP12_iInter0Alt1FS
#endif

#define N_DESC_STRINGS	8

#endif /* _BOARD_IDS_H_ */
