/*
 LLRF4.1 definitions:
   JTAG bits
   USB IDs
 
 Copyright (c) 2008-2012 Dimtel, Inc., All Rights Reserved

 $Id: llrf41_usb.h,v 1.1 2013/06/03 17:40:13 dim Exp $
 $Date: 2013/06/03 17:40:13 $
 $Author: dim $
 $Revision: 1.1 $
 $Log: llrf41_usb.h,v $
 Revision 1.1  2013/06/03 17:40:13  dim
 Initial import in src_common/

 Revision 1.2  2011/12/27 19:49:01  dim
 Removed extra comment closure

 Revision 1.1  2011/12/27 19:34:26  dim
 Initial import


*/

#ifndef _LLRF41_USB_H_
#define _LLRF41_USB_H_

#define LLRF4_VID	0xfffe
#define LLRF4_PID	0x0020
#define LLRF4_DID	0x0101

/* Descriptor strings */
#define LLRF4_iManufacturer	"Dimtel, Inc."
#define LLRF4_iProduct		"LLRF4.1"
#define LLRF4_iSerial		"1.618"
#define LLRF4_iInter0Alt0HS	"Service IF: JTAG/I2C"
#define LLRF4_iInter0Alt1HS	"Data IF: usbio"
#define LLRF4_iInter0Alt0FS	"JTAG/I2C FS"
#define LLRF4_iInter0Alt1FS	"Data IF: usbio FS"

#endif /* _LLRF41_USB_H_ */
