/* JTAG GNU/Linux parport device io

Copyright (C) 2004 Andrew Rogers

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Changes:
Dmitry Teytelman [dimtey@gmail.com] 14 Jun 2006 [applied 13 Aug 2006]:
    Code cleanup for clean -Wall compile.
    Changes to support new IOBase interface.
*/



#ifndef IOPARPORT_H
#define IOPARPORT_H

#include "iobase.h"

class IOParport : public IOBase
{
 protected:
  int fd, total;
  bool error;
 public:
  IOParport();
  virtual ~IOParport();
  virtual void dev_open(const char *device);
  virtual bool txrx(bool tms, bool tdi);
  virtual void tx(bool tms, bool tdi);
  virtual void tx_tdi_byte(unsigned char tdi_byte);
  virtual void tx_tdi_block(unsigned char *tdi_buf, int length);
  void flush(void) {};
  void delay(int del);
  virtual inline bool checkError(){return error;}
};


#endif // IOPARPORT_H
